Bug 1509218 (CVE-2017-12177) - CVE-2017-12177 xorg-x11-server: Unvalidated variable-length request in ProcDbeGetVisualInfo
Summary: CVE-2017-12177 xorg-x11-server: Unvalidated variable-length request in ProcDb...
Status: CLOSED WONTFIX
Alias: CVE-2017-12177
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171010,repor...
Keywords: Security
Depends On: 1509258
Blocks: 1509263
TreeView+ depends on / blocked
 
Reported: 2017-11-03 11:07 UTC by Adam Mariš
Modified: 2019-06-08 22:27 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-07 07:22:16 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-11-03 11:07:08 UTC
Potential integer overflow vulnerability was found in ProcDbeGetVisualInfo function.

Upstream patch:

https://cgit.freedesktop.org/xorg/xserver/commit/?id=4ca68b878e851e2136c234f40a25008297d8d831

Comment 1 Adam Mariš 2017-11-03 11:07:16 UTC
Acknowledgments:

Name: the Xorg project

Comment 2 Adam Mariš 2017-11-03 12:30:09 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1509258]


Note You need to log in before you can comment on or make changes to this bug.